/**
 * @file
 * Feuille de style dédiée aux éléments HTML de base.
 */

/*
 * TAGS
 */

html, body {
  width: 100%;
  height: 100%;
}
html {
  overflow-x: hidden;
  overflow-y: auto;
}
body {
  background: #fff;
  color: #232425;
  font-family: 'aktiv-grotesk-regular', Helvetica, Arial, sans-serif;
  font-size: 100%;
  letter-spacing: 0.04em;
  line-height: 1.2;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
body * {
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  outline: none;
}
h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  font-style: normal;
  font-weight: normal;
  margin-bottom: 1em;
}
h1, .h1 {
  font-size: 2em;
}
h2, .h2 {
  font-size: 1.5em;
}
h3, .h3 {
  font-size: 1.25em;
}
h4, h5, h6, .h4, .h5, .h6 {
  font-size: 1em;
  font-weight: bold;
  margin-top: 1.5em;
}
p {
  margin: 0 0 1em 0;
  font-size: 1em;
}
a {
  color: #232425;
  text-decoration: none;
}
a:visited, li a.active, a:hover, a:active, li a.active:hover, ul.menu li a.active {
  color: #232425;
}
a:focus, a:hover, a:active {
  outline: none;
}
li ul, li ol {
  margin: 0;
}
ul, ol {
  margin: 0 1em 1em 0;
  padding-left: 1em;
}
ul {
  list-style-type: disc;
}
ol {
  list-style-type: decimal;
}
dl {
  margin: 0 0 1em 0;
}
dl dt {
  font-weight: bold;
}
dd {
  margin-left: 1em;
}
hr {
  background: #666;
  border: none;
  clear: both;
  float: none;
  eight: 1px;
  margin: 0 0 1.5em;
  width: 100%;
}
fieldset {
  border: 1px solid #ccc;
  margin: 0 0 1.5em;
  padding: 0 1em .5em 1em;
}
table {
  width: 100%;
}

.fieldset-wrapper { margin-top: 10px; }
body.page-admin table .description { font-size: .9em; font-style: italic; color: #ccc; }
img {
  /* Avoid image title displaying on rollover */
  pointer-events: none;
}

/*
 * ELEMENTS
 */

/*** MENUS ***/

ul.menu {
  margin: 0;
}
.menu-item {
  padding-top: 0;
}
ul.menu a.is-active {
  color: #232425;
}

/*** CHAMPS ***/

.form-item {
  margin: 0 0 1em 0;
}
input.form-text,
textarea.form-textarea {
  padding: .3em .4em .3em .5em;
  width: 100%;
  border: 1px solid #d8d8d8;
  background: #fff;
  font-size: 1em;
}
.form-item .description {
  font-size: 0.9em;
  font-style: italic;
}
.form-checkboxes .form-item, .form-radios .form-item {
  margin: 0;
}
.form-type-checkboxes label, .form-type-radios label {
  margin-bottom: .4em;
}

/*** MESSAGES ***/

.messages {
  margin-bottom: 10px;
}

/*** BOUTONS ***/

input.form-submit {
  padding: 1em 1.5em;
  border: none;
  background-color: #4199a8;
  font-family: 'aktiv-grotesk-bold', Helvetica, Arial, sans-serif;
  font-size: 1em;
  color: #ffffff;
}
input.form-submit:hover {
  background-color: #50abbb;
}
body.node.delete form.confirmation {
  text-align: center;
}

/*** BLOCKS ***/

.block-title {
  margin-bottom: 0;
  text-align: center;
}
.block-title .inner {
  display: inline-block;
  padding: 0 1em;
}
.block ul.menu {
  margin: 0; padding: 0;
}
.block ul.menu li {
  list-style: none;
}
.block ul.menu li a {
  color: #232425;
}
.block ul.menu li a .ext {
  display: none;
}

/* Local tasks */
/*.block-local-tasks-block {
  display: inline-block;
  position: absolute;
  z-index: 99;
  text-align: right;
}
.block-local-tasks-block > .inner {
  display: inline-block;
  position: relative;
  background-color: rgba(65,153,168, .2);
  border-radius: 20px;
}
.block-local-tasks-block .handle {
  position: absolute;
  top: 4px;
  right: 5px;
  width: 40px;
  height: 40px;
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  background-image: url('../images/commun/draggable.png');
}
.block-local-tasks-block .handle:hover {
  cursor: pointer;
}
.block-local-tasks-block nav {
  text-align: right;
}
.block-local-tasks-block ul {
  margin-bottom: 0;
  padding: 10px 60px 10px 0px;
}
.block-local-tasks-block li {
  margin: 0 0 5px 20px;
}
.block-local-tasks-block a {
  padding: 0;
  text-decoration: underline;
  font-family: 'source-light', Helvetica, Arial, sans-serif;
  font-size: .9em;
  color: #232425;
}
.block-local-tasks-block a:hover {
  background-color: transparent;
  color: #4199a8;
}
.block-local-tasks-block a.is-active {
  background-color: transparent;
  text-decoration: none;
  font-family: 'source-regular', Helvetica, Arial, sans-serif;
  color: #4199a8;
}
.block-local-tasks-block a.is-active:hover {
  cursor: default;
}*/

/* Local tasks */
.block-local-tasks-block {
  text-align: right;
}
.block-local-tasks-block ul {
  margin: 5px;
}
.block-local-tasks-block li {
  margin: 0 0 5px 20px;
}
.block-local-tasks-block a {
  padding: 0;
  text-decoration: underline;
  font-family: 'aktiv-grotesk-regular', Helvetica, Arial, sans-serif;
  font-size: .85em;
  color: #232425;
}
.block-local-tasks-block a:hover,
.block-local-tasks-block li.is-active a {
  background-color: transparent;
  text-decoration: none;
  color: #4199a8;
}
.block-local-tasks-block li.is-active a:hover {
  cursor: default;
}

/* Page title */
.block-page-title-block {
  text-align: center;
}
h1.page-title {
  margin: 0 0 .5em 0;
  font-family: 'bree-regular',Helvetica,Arial,sans-serif;
  font-size: 3.7em;
  color: #439aa9;
}

/*** VIEWS ***/

.views-row {
  position: relative;
}
.views-field .field-content p a,
.views-field .field-content ul li a {
  text-decoration: underline;
}
.views-field .field-content p a:hover,
.views-field .field-content ul li a:hover {
  text-decoration: none;
}
a.tabledrag-handle .handle {
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

/*** ADMIN TOOLBAR ***/

#toolbar-bar {
  z-index: 9999;
}
.toolbar-bar .toolbar-icon-toolbar-menu::before {
  background-image: url(../favicon.ico);
}

/*** AJAX PROGRESS THROBBER ***/

.ajax-progress,
.ajax-progress-throbber,
.ajax-progress-fullscreen {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  -webkit-border-radius: 0;
  border-radius: 0;
  opacity: 1;
  background: rgba(255, 255, 255, 0.5);
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999999;
  overflow: hidden;
  text-indent: -99999em;
}
.ajax-progress-throbber:before,
.ajax-progress-fullscreen:before {
  content: " ";
  display: block;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 0.8s infinite linear;
  animation: spin 0.8s infinite linear;
  border-radius: 120px;
  border-width: 10px;
  border-style: solid;
  border-color: #4199a8 transparent #4199a8 transparent;
  overflow: hidden;
  text-indent: -99999em;
  margin: auto;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}
@-webkit-keyframes spin {
  to {
    transform: rotate(360deg);
  }
}
@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}


